"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FilterCheckbox = exports.FilterBar = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var antd_1 = require("antd");
var styled_components_1 = __importDefault(require("styled-components"));
var effector_react_1 = require("effector-react");
var FilterBar = function (_a) {
    var children = _a.children;
    return ((0, jsx_runtime_1.jsx)(Filters, { children: children }));
};
exports.FilterBar = FilterBar;
function FilterCheckbox(_a) {
    var filterCase = _a.filterCase;
    var active = (0, effector_react_1.useUnit)(filterCase.$active);
    var disabled = (0, effector_react_1.useUnit)(filterCase.$disabled);
    return ((0, jsx_runtime_1.jsx)(antd_1.Checkbox, __assign({ checked: active, disabled: disabled, onChange: function (_a) {
            var target = _a.target;
            if (target.checked) {
                filterCase.activate();
            }
            else {
                filterCase.deactivate();
            }
        } }, { children: filterCase.label })));
}
exports.FilterCheckbox = FilterCheckbox;
var Filters = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  border-bottom: 1px solid #ddd;\n  display: flex;\n  gap: 20px;\n  padding-bottom: 20px;\n  margin-bottom: 20px;\n"], ["\n  border-bottom: 1px solid #ddd;\n  display: flex;\n  gap: 20px;\n  padding-bottom: 20px;\n  margin-bottom: 20px;\n"])));
var templateObject_1;
