var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import { Checkbox } from "antd";
import styled from "styled-components";
import { useUnit } from "effector-react";
export var FilterBar = function (_a) {
    var children = _a.children;
    return (_jsx(Filters, { children: children }));
};
export function FilterCheckbox(_a) {
    var filterCase = _a.filterCase;
    var active = useUnit(filterCase.$active);
    var disabled = useUnit(filterCase.$disabled);
    return (_jsx(Checkbox, __assign({ checked: active, disabled: disabled, onChange: function (_a) {
            var target = _a.target;
            if (target.checked) {
                filterCase.activate();
            }
            else {
                filterCase.deactivate();
            }
        } }, { children: filterCase.label })));
}
var Filters = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  border-bottom: 1px solid #ddd;\n  display: flex;\n  gap: 20px;\n  padding-bottom: 20px;\n  margin-bottom: 20px;\n"], ["\n  border-bottom: 1px solid #ddd;\n  display: flex;\n  gap: 20px;\n  padding-bottom: 20px;\n  margin-bottom: 20px;\n"])));
var templateObject_1;
