"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomizeFormItemNumberInput = exports.CustomizeFormItemAutoComplete = exports.CustomizeFormItemSelect = exports.CustomizeFormItemTextArea = exports.CustomizeFormItemInput = exports.CustomizeFormItem = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var antd_1 = require("antd");
var CustomizeFormItem = function (props) { return ((0, jsx_runtime_1.jsx)(antd_1.Form.Item, __assign({}, props.formItemProps, { name: props.name, label: props.label, rules: props.required
        ? [
            {
                required: true,
                message: "\u041F\u043E\u043B\u0435 ".concat(props.label.toLowerCase(), " \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E"),
            },
        ]
        : [{ required: false }] }, { children: props.children }))); };
exports.CustomizeFormItem = CustomizeFormItem;
var CustomizeFormItemInput = function (props) { return ((0, jsx_runtime_1.jsx)(antd_1.Form.Item, __assign({}, props.formItemProps, { name: props.name, label: props.label, rules: props.required
        ? [
            {
                required: true,
                message: "\u041F\u043E\u043B\u0435 ".concat(props.label.toLowerCase(), " \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E"),
            },
        ]
        : [{ required: false }] }, { children: (0, jsx_runtime_1.jsx)(antd_1.Input, __assign({}, props.inputProps, { value: props.field.value, placeholder: "\u041F\u043E\u0436\u0430\u043B\u0443\u0439\u0441\u0442\u0430 \u0432\u0432\u0435\u0434\u0438\u0442\u0435 ".concat(props.label.toLowerCase()), onChange: function (e) { return props.field.onChange(e.target.value); } })) }))); };
exports.CustomizeFormItemInput = CustomizeFormItemInput;
var CustomizeFormItemTextArea = function (props) { return ((0, jsx_runtime_1.jsx)(antd_1.Form.Item, __assign({}, props.formItemProps, { name: props.name, label: props.label, rules: props.required
        ? [
            {
                required: true,
                message: "\u041F\u043E\u043B\u0435 ".concat(props.label.toLowerCase(), " \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E"),
            },
        ]
        : [{ required: false }] }, { children: (0, jsx_runtime_1.jsx)(antd_1.Input.TextArea, __assign({}, props.textAreaProps, { value: props.field.value, onChange: function (e) { return props.field.onChange(e.target.value); }, placeholder: "\u041F\u043E\u0436\u0430\u043B\u0443\u0439\u0441\u0442\u0430 \u0432\u0432\u0435\u0434\u0438\u0442\u0435 ".concat(props.label.toLowerCase()) })) }))); };
exports.CustomizeFormItemTextArea = CustomizeFormItemTextArea;
var CustomizeFormItemSelect = function (props) { return ((0, jsx_runtime_1.jsx)(antd_1.Form.Item, __assign({}, props.formItemProps, { name: props.name, label: props.label, rules: props.required
        ? [
            {
                required: true,
                message: "\u041F\u043E\u043B\u0435 ".concat(props.label.toLowerCase(), " \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E"),
            },
        ]
        : [{ required: false }] }, { children: (0, jsx_runtime_1.jsx)(antd_1.Select, __assign({}, props.selectProps, { defaultValue: props.defaultValue, onChange: function (_a) {
            var value = _a.value;
            return props.field.onChange(value);
        } }, { children: props.enumsValues.map(function (value, index) { return ((0, jsx_runtime_1.jsx)(antd_1.Select.Option, __assign({ value: value }, { children: value }), index)); }) })) }))); };
exports.CustomizeFormItemSelect = CustomizeFormItemSelect;
var CustomizeFormItemAutoComplete = function (props) {
    var onSelect = function (data) {
        console.log('onSelect', data);
    };
    return ((0, jsx_runtime_1.jsx)(antd_1.Form.Item, __assign({ name: props.name, label: props.label, rules: props.required
            ? [
                {
                    required: true,
                    message: "\u041F\u043E\u043B\u0435 ".concat(props.label.toLowerCase(), " \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E"),
                },
            ]
            : [{ required: false }] }, { children: (0, jsx_runtime_1.jsx)(antd_1.AutoComplete, __assign({}, props.autoCompleteProps, { value: props.field.value, onChange: function (data) { return props.field.onChange(Number(data)); }, options: props.options, onSelect: onSelect, onSearch: props.onSearch, placeholder: "\u041F\u043E\u0436\u0430\u043B\u0443\u0439\u0441\u0442\u0430 \u0432\u0432\u0435\u0434\u0438\u0442\u0435 ".concat(props.label.toLowerCase()) })) })));
};
exports.CustomizeFormItemAutoComplete = CustomizeFormItemAutoComplete;
var CustomizeFormItemNumberInput = function (props) { return ((0, jsx_runtime_1.jsx)(antd_1.Form.Item, __assign({ name: props.name, label: props.label, rules: props.required
        ? [
            {
                required: true,
                message: "\u041F\u043E\u043B\u0435 ".concat(props.label.toLowerCase(), " \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E"),
            },
        ]
        : [{ required: false }] }, { children: (0, jsx_runtime_1.jsx)(antd_1.InputNumber, { value: props.field.value, onChange: function (value) { return props.field.onChange(value); } }) }))); };
exports.CustomizeFormItemNumberInput = CustomizeFormItemNumberInput;
