"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeaderSinglePage = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var styled_components_1 = __importDefault(require("styled-components"));
var HeaderSinglePage = function (props) {
    return ((0, jsx_runtime_1.jsxs)(Wrapper, { children: [(0, jsx_runtime_1.jsxs)(TopRow, { children: [(0, jsx_runtime_1.jsxs)(Heading, { children: [(0, jsx_runtime_1.jsx)(Title, { children: props.title }), props.subtitle && (0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)("span", { children: "/" }), " ", (0, jsx_runtime_1.jsx)(SubTitle, { children: props.subtitle })] })] }), (0, jsx_runtime_1.jsx)(Buttons, { children: props.buttons })] }), (0, jsx_runtime_1.jsx)(BottomRow, { children: props.children })] }));
};
exports.HeaderSinglePage = HeaderSinglePage;
var Heading = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: flex;\n  align-items: center;\n  gap: 40px;\n"], ["\n  display: flex;\n  align-items: center;\n  gap: 40px;\n"])));
var Title = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  font-size: 24px;\n  font-weight: 700;\n"], ["\n  font-size: 24px;\n  font-weight: 700;\n"])));
var SubTitle = styled_components_1.default.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  font-size: 14px;\n  font-weight: 500;\n"], ["\n  font-size: 14px;\n  font-weight: 500;\n"])));
var Buttons = styled_components_1.default.div(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  display: flex;\n  gap: 20px;\n"], ["\n  display: flex;\n  gap: 20px;\n"])));
var Wrapper = styled_components_1.default.div(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  display: flex;\n  flex-direction: column;\n  gap: 10px;\n  margin-bottom: 40px;\n  margin: -24px;\n  margin-bottom: 20px;\n  padding: 20px;\n  box-shadow: 0px 5px 9px #00000017;\n  border-bottom: 1px solid #ddd;\n"], ["\n  display: flex;\n  flex-direction: column;\n  gap: 10px;\n  margin-bottom: 40px;\n  margin: -24px;\n  margin-bottom: 20px;\n  padding: 20px;\n  box-shadow: 0px 5px 9px #00000017;\n  border-bottom: 1px solid #ddd;\n"])));
var TopRow = styled_components_1.default.div(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  display: flex;\n  align-items: center;\n  justify-content: space-between;\n"], ["\n  display: flex;\n  align-items: center;\n  justify-content: space-between;\n"])));
var BottomRow = styled_components_1.default.div(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n\n"], ["\n\n"])));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7;
