/// <reference types="react" />
import { TableProps as TablePropsAntd, TableColumnProps as TableColumnPropsAntd } from "antd";
import { Store } from "effector";
import { TableInstance } from "./lib";
declare type TableProps = TablePropsAntd<any> & {
    tableInstance: TableInstance<Store<any>, Store<any>>;
};
export declare const Table: {
    (props: TableProps): JSX.Element;
    Column(props: TableColumnPropsAntd<any>): JSX.Element;
};
export {};
