var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import { Table as TableAntd, } from "antd";
import { useUnit } from "effector-react";
export var Table = function (props) {
    var dataSource = useUnit(props.tableInstance.$dataSource);
    var dataCount = useUnit(props.tableInstance.$dataCount);
    var onChangePage = useUnit(props.tableInstance.paginationOnChange);
    var clickOnRow = useUnit(props.tableInstance.clickOnRow);
    return (_jsx(TableAntd, __assign({ rowKey: function (s) { return s.id; }, dataSource: dataSource, pagination: {
            total: dataCount,
            onChange: function (page, pageSize) {
                onChangePage({ page: page, limit: pageSize });
            }
        }, onRow: function (record) {
            return {
                onClick: function () { return clickOnRow(record); }
            };
        } }, { children: props.children })));
};
Table.Column = function (props) {
    return (_jsx(TableAntd.Column, __assign({}, props)));
};
